@ECHO OFF

if "%OS%"=="Windows_NT" set temppath=%~dp0

rem back up the classpath viriable
set temp=%classpath%

set TEMPCLASSPATH=%temppath%lib\aspose.pdf.jar
set classpath=.;%classpath%;%TEMPCLASSPATH%

rem cd examples

set files=(annotation/AnnotationExample attachment/FileAttachment backgroundimage/BackGroundImageExample bookmark/BookmarkExample color/ColorExample colorspace/ColorSpaceExample graph/GraphExample header/HeaderAndFooterExample heading/HeadingExample helloworld/HelloWorldExample hyperlink/HyperLinkToAnotherFile hyperlink/HyperLinkToAnotherPDF  hyperlink/HyperLinkToSamePDF hyperlink/HyperLinkToWebURL image/ImageExample javascript/JavaScriptExample list/ListExample metainfo/MetaInfoExample nestedtable/NestedTableExample opentype/OpenTypeExample security/SecurityExample table/TableExample text/TextExample xml/XMLExample)



echo compiling java files...
for %%i in %files% do javac examples/samples/%%i.java

rmdir /S /Q exampleOutput
mkdir exampleOutput
echo running examples...
for %%i in %files% do java examples/samples/%%i


echo end of running examples. Please check the directory---exampleOutput.
rem restore classpath
set classpath=%temp%

cd ..

